import { BaseXform } from "../base-xform.js";
interface Protection {
    locked?: string;
    lockText?: string;
}
interface ClientDataModel {
    anchor: any;
    protection: Protection;
    editAs: string;
}
interface RenderModel {
    note: {
        protection: Protection;
        editAs: string;
    };
    refAddress: {
        row: number;
        col: number;
    };
}
declare class VmlClientDataXform extends BaseXform {
    map: {
        [key: string]: any;
    };
    parser: any;
    model: ClientDataModel;
    constructor();
    get tag(): string;
    render(xmlStream: any, model: RenderModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    normalizeModel(): void;
}
export { VmlClientDataXform };
